Xerces-C++: DOMImplementationList Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DOMImplementationList Class Reference

The `DOMImplementationList` interface provides the abstraction of an ordered collection of DOM implementations, without defining or constraining how this collection is implemented. More...

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMImplementationList ()
| Destructor.
Functions introduced in DOM Level 3
virtual DOMImplementation * | item (XMLSize_t index) const =0
| Returns the `index` item in the collection.
virtual XMLSize_t | getLength () const =0
| Returns the number of DOMImplementation in the list.
Non-standard Extension
virtual void | release ()=0
| Called to indicate that this list is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.
## Protected Member Functions
Hidden constructors
| DOMImplementationList ()

## Detailed Description

The `DOMImplementationList` interface provides the abstraction of an ordered collection of DOM implementations, without defining or constraining how this collection is implemented.

The items in the `DOMImplementationList` are accessible via an integral index, starting from 0.

## Constructor & Destructor Documentation

DOMImplementationList::DOMImplementationList | ( |  | ) | `[protected]`

virtual DOMImplementationList::~DOMImplementationList | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual DOMImplementation* DOMImplementationList::item | ( | XMLSize_t | index | ) | const`[pure virtual]`

Returns the `index` item in the collection.

If `index` is greater than or equal to the number of DOMImplementation in the list, this returns `null`.

Parameters:

  | index | Index into the collection.

Returns:
  The DOMImplementation at the `index`th position in the `DOMImplementationList`, or `null` if that is not a valid index.

Since:
  DOM Level 3

virtual XMLSize_t DOMImplementationList::getLength | ( |  | ) | const`[pure virtual]`

Returns the number of DOMImplementation in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Since:
  DOM Level 3

virtual void DOMImplementationList::release | ( |  | ) | `[pure virtual]`

Called to indicate that this list is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

Access to a released object will lead to unexpected result.

The documentation for this class was generated from the following file:

- DOMImplementationList.hpp